Get data from captaindata people search
curl --request GET \
--url https://api.captaindata.com/v1/people/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.captaindata.com/v1/people/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.captaindata.com/v1/people/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"company_name": "<string>",
"summary": "<string>",
"location": "<string>",
"li_profile_id": 123,
"li_profile_url": "<string>",
"li_profile_image_url": "<string>",
"li_company_id": 123,
"job_start": "2023-11-07T05:31:56Z",
"job_end": "2023-11-07T05:31:56Z",
"job_time_period": "<string>",
"recently_hired": true,
"recently_promoted": true
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}People
Search People
Search and discover people based on a search query.
GET
/
people
/
search
Get data from captaindata people search
This endpoint allows you to search for people using Sales Navigator compatible search queries.Credit Cost: 1 credit per request + 1 credits per result. A full page of 25 results typically consumes 26 credits (1 + 25).
query parameter.
Example: (keywords%3Aceo)
Not all Sales Navigator filters are compatible. Account-specific filters cannot be used.
Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
25 <= x <= 25A Sales Navigator People search compliant query param. Please copy the entire value of the query parameter from your LinkedIn Sales Navigator search URL (everything after ?query=) and paste it here.
Example:
"(keywords:\"Software Engineer\")"
Response
Successful response